Schöck
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Mesh изменение параметров m и n. Нужна помощь...

Mesh изменение параметров m и n. Нужна помощь...

Ответ
Поиск в этой теме
Непрочитано 27.09.2005, 15:57 #1
Mesh изменение параметров m и n. Нужна помощь...
ss20_sasha
 
Москва
Регистрация: 27.09.2005
Сообщений: 11

Уважаемые форумчане нужна Ваша помощь.
Построено тело с помощью команды Revsurf. Повернуто вокруг оси на 360 градусов. Далее мне надо изменить парамаетр, который установлен в программе по умолчанию Surftab1=6 и Surftab2=6 на свои числа, например 20 и 30. В книжке по Autocad 2000 "Библия" вычитал, что можно ввести в коммандную строку слово surftab1=[целое число] и по идее, как написано в книге все должно получиться, но этого не происходит. Как по умолчанию стояли цифры 6, так они и остаются. Что делать?
Если кто-нибудь знает, как выйти из этой ситуации большая просьба откликнитесь.
Заранее большое спасибо.
С Уважением Александр.
Просмотров: 3418
 
Непрочитано 27.09.2005, 16:04
#2
vel


 
Регистрация: 10.05.2005
Сообщений: 89


Набираешь surftab1 (или surftab2), затем enter и вводишь требуемое число; оба параметра изменяются без проблем
vel вне форума  
 
Автор темы   Непрочитано 27.09.2005, 16:19
#3
ss20_sasha


 
Регистрация: 27.09.2005
Москва
Сообщений: 11
<phrase 1=


Vel получилось большое спасибо.
ss20_sasha вне форума  
 
Непрочитано 27.09.2005, 16:31
#4
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 38,000


Ну если лиспом, то нечто типа такого:
Код:
[Выделить все]
(defun changes ( / m_dir n_dir ent)
  (setq ent (entget (car (entsel))))
  (if (= (cdr (assoc 0 ent)) "POLYLINE")
    (progn
      (setq
	m_dir (getint (strcat "\n Направление М : <" (cdr (assoc 71 ent)) "> "))
	n_dir (getint (strcat "\n Направление N : <" (cdr (assoc 72 ent)) "> "))
	) ;_ end of setq
      (if (not m_dir)
	(setq m_dir (cdr (assoc 71 ent)))
	) ;_ end of if
      (if (not n_dir)
	(setq n_dir (cdr (assoc 72 ent)))
	) ;_ end of if
      (entmod (subst (cons 71 m_dir)
		     (assoc 71 ent)
		     ent
		     ) ;_ end of subst
	      ) ;_ end of entmod
      (entmod (subst (cons 72 n_dir)
		     (assoc 72 ent)
		     ent
		     ) ;_ end of subst
	      ) ;_ end of entmod
      (entupd ent)
      ) ;_ end of progn
    ) ;_ end of if
  ) ;_ end of defun
Вариант без проверок на правильность выбора; решает только для одного примитива...
В общем, нормальной прогой считать нельзя.
> vel : для построенных примитивов разве заменит?
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Автор темы   Непрочитано 27.09.2005, 16:50
#5
ss20_sasha


 
Регистрация: 27.09.2005
Москва
Сообщений: 11
<phrase 1=


Добрый день Vel и kpblc.
Большое спасибо, помогли разобраться с возникшей проблемой.
Тогда еще один небольшой вопрос, также связанный с Mesh.
Создано твердое тело также с помощью вращения (точнее сказать втулка, внутри втулки имеется отверстие).
Возможно ли преобразовать это твердое тело в Mesh или нет?
Заранее благодарю,
С Уважением, Александр.
ss20_sasha вне форума  
 
Непрочитано 27.09.2005, 17:00
#6
vel


 
Регистрация: 10.05.2005
Сообщений: 89


to kpblc: для уже построенных не меняет, только для новых
vel вне форума  
 
Автор темы   Непрочитано 27.09.2005, 17:10
#7
ss20_sasha


 
Регистрация: 27.09.2005
Москва
Сообщений: 11
<phrase 1=


Vel тогда спрошу по конкретней. Начнем с самого начала.
1. Создан новый чертеж.
2. Построена деталь с помощью команды Revolve.
3. Просмотрел свойства детали - 3D Solid.
4. Как эту деталь преобразовать в Mesh?
Я как понимаю это невозможно сделать?
Заранее благодарен.
Александр.
ss20_sasha вне форума  
 
Непрочитано 27.09.2005, 17:12
#8
asys

архитектор
 
Регистрация: 10.08.2005
Ростов-на-Дону
Сообщений: 5,187


ss20_sasha
команда на картинке делает туже операцию но сеткой
[ATTACH]1127826769.jpg[/ATTACH]
asys вне форума  
 
Непрочитано 27.09.2005, 17:23
#9
Хмурый


 
Регистрация: 29.10.2004
СПб
Сообщений: 16,211


Цитата:
Сообщение от ss20_sasha
Vel тогда спрошу по конкретней. Начнем с самого начала.
1. Создан новый чертеж.
2. Построена деталь с помощью команды Revolve.
3. Просмотрел свойства детали - 3D Solid.
4. Как эту деталь преобразовать в Mesh?
Я как понимаю это невозможно сделать?
Заранее благодарен.
Александр.
В сеть- не преобразовать.
Хмурый вне форума  
Ответ
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Mesh изменение параметров m и n. Нужна помощь...

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск